Bug 974 - backup utility doesn't save a copy of /etc/apt/sources.list
: backup utility doesn't save a copy of /etc/apt/sources.list
Status: RESOLVED WONTFIX
Product: Settings and Maintenance
Application manager
: 2.0
: All Maemo
: Medium enhancement with 1 vote (vote)
: ---
Assigned To: Maemo QA (deprecated)
: application-manager-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2007-01-26 10:41 UTC by Matt Andrew
Modified: 2007-09-03 09:43 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Matt Andrew (reporter) 2007-01-26 10:41:11 UTC
IMHO, it should, since it's a pain to type them in after each re-flash without
making mistakes.
Comment 1 Paul Klapperich 2007-01-30 23:26:10 UTC
FYI
The Maemo 2.1 Developer Tutorial shows how to backup custom files here:
http://www.maemo.org/platform/docs/howtos/Maemo_tutorial.html#backup-custom

You can use this method to backup sources.list or any other file until this is
added. OS2007 behaves this way by sources.list.
Comment 2 Jakub Pavelek nokia 2007-02-01 15:17:42 UTC
This is fixed in IT-2007, not going to be fixed in IT-2006 AFAIK. Proposing
WONTFIX.
Comment 3 Matt Andrew (reporter) 2007-02-02 09:29:12 UTC
the custom backup files trick worked great - here's my blog post about it (with
a link to my custom backup file that might be useful to others):
http://internettabletmania.wordpress.com/2007/02/01/customizing-what-gets-backed-up-on-the-internet-tablets-workaround-for-bug-974/
Comment 4 Jakub Pavelek nokia 2007-02-02 17:08:46 UTC
Just be careful not to restore this on N800 later ;)

Ok to make WONTFIX for 770?
Comment 5 Matt Andrew (reporter) 2007-02-04 00:25:39 UTC
WONTFIX:

Honestly, since it's a single-line fix (and I've provided that line) and it only
requires about 5 minutes of quality-assurance testing (back it up once, change
the sources.list file and then restore and check that it was restored properly),
I'd like to see it fixed.

Here's the line, by the way:
<location type="file" category="settings" auto="true"> /etc/apt/sources.list   
</location>

What I've posted on my blog is a workaround, not a true bugfix in the upstream
sense, since most people with 770's won't find this or bother applying it.  I
know almost everyone at Nokia has moved on to the n800 and probably its
successor, but if there's gonna be another release of os2006 for the 770, I
think this would be a good addition.
Comment 6 Jakub Pavelek nokia 2007-02-05 09:44:39 UTC
The thing is, if you do a backup with you fix on 770 and then restore it on
stock N800 as sold e.g. today you will end up in a lot of trouble AFAIK. The
restoring between devices is an issue to develop and test properly.